Đến nội dung


Hình ảnh
- - - - -

Get Object properties


  • Please log in to reply
21 replies to this topic

#21 nkgedadknr

nkgedadknr

    biết vẽ line

  • Validating
  • PipPip
  • 29 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 June 2009 - 12:31 PM

vậy các bác sửa giúp mình đoạn code này với, mình ko biết nó sai chỗ nào

Sub Test()
Dim InsertionPoint()
Dim objEnt As AcadEntity
Dim varPick As Variant
Dim textId, text
Dim myArea

'%<\AcObjProp.16.2 Object(%<\_ObjId 2126377576>%).Length \f "%th44">%
'%<AcObjProp Object(%<_ObjId 2126689144>%).Area>%

ThisDrawing.Utility.GetEntity objEnt, varPick, vbCr & "Select a polyline"
textId = objEnt.ObjectID

Debug.Print textId

text = "%<\AcObjProp Object(" & textId & ").Area>%"

InsertionPoint(0) = 0: InsertionPoint(1) = 0: InsertionPoint(2) = 0
Height = 0.08

Set myArea = ThisDrawing.ModelSpace.AddText(text, InsertionPoint, Height)

Debug.Print myArea.TextString

End Sub
  • 0

#22 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 15 June 2009 - 01:51 PM

InsertionPoint(0) = 0: InsertionPoint(1) = 0: InsertionPoint(2) = 0


Bạn chưa khai báo kích thước mảng, sẽ có lỗi lúc chạy (runtime error)

Nên sửa Dim InsertionPoint(2) as Double
  • 0
Clear sky!

MF Rock collection.